Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountModifierFixed

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.DiscountModifier
          com.bea.commerce.ebusiness.price.engine.DiscountModifierFixed

public class DiscountModifierFixed
extends DiscountModifier

Supports FIXED_OFF and FIXED_PRICE ModifierTypes

Field Summary
`static String` | `cName`

Constructor Summary
`DiscountModifierFixed(ModifierType type, double value, String currency)`
`DiscountModifierFixed(ModifierType type, String stringValue, String currency)`

Method Summary
`String` | `getCurrency()`
`Money` | `getMoney()`
`double` | `getValue()`
`String` | `toString()`

Methods inherited from class com.bea.commerce.ebusiness.price.engine.DiscountModifier
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

Constructor Detail

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 String stringValue,
                                 String currency)

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 double value,
                                 String currency)

Method Detail

### getValue

    public double getValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `DiscountModifier`

### getMoney

    public Money getMoney()

### getCurrency

    public String getCurrency()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved